[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.OnGetCustomCategory

Event to retrieve custom message category

## Declaration

Source position: eventlog.pp line 101

`published property TEventLog.OnGetCustomCategory : TLogCategoryEvent read FOnGetCustomCategory write FOnGetCustomCategory;`

## Description

OnGetCustomCategory is called on the windows platform to determine the category of a custom event type. It should return an ID which will be used by windows to look up the string which describes the message category in the file containing the resource strings.

## See also

OnGetCustomEventID |  | Event to retrieve custom event ID
OnGetCustomEvent |  | Event to retrieve custom event Code

Documentation generated on: Feb 26 2014